Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 226380 - Merge Review: rsync
Summary: Merge Review: rsync
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Robert Scheck
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-31 20:52 UTC by Nobody's working on this, feel free to take it
Modified: 2009-01-12 22:04 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-01-12 21:10:26 UTC
redhat: fedora-review+


Attachments (Terms of Use)
Patch to reduce rpmlint warnings, add URL. (deleted)
2008-05-12 18:42 UTC, Kyle VanderBeek
no flags Details | Diff
Patch for rsync.spec to make rpmlint silent (deleted)
2008-12-28 21:52 UTC, Robert Scheck
no flags Details | Diff

Description Nobody's working on this, feel free to take it 2007-01-31 20:52:44 UTC
Fedora Merge Review: rsync

http://cvs.fedora.redhat.com/viewcvs/devel/rsync/
Initial Owner: fenlason@redhat.com

Comment 1 Ed Hill 2007-02-03 21:13:05 UTC
Hi there, here's a quick review:

good:
 + source matches upstream
 + license is OK and correctly listed
 + spec looks clean/read-able

needswork:
 - please remove the trailing '.' from Summary

 - please add "URL: http://rsync.samba.org/"

 - please change the Source: URL so it works with "spectool -g" 
   such as:
   Source: http://rsync.samba.org/ftp/rsync/rsync-%{version}.tar.gz

 - please consider adding %{?dist} to Release

 - please delete the Prefix: entry

 - please use the preferred BuildRoot:
   %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

 - rpmlint reports a few additional warnings (mostly repeats of above):
http://linux.dell.com/files/fedora/FixBuildRequires/mock-results-core/i386/rsync-2.6.9-1.src.rpm/result/rpmlint.log


Comment 2 Matthias Saou 2007-08-31 14:54:40 UTC
Assigning to the actual reviewer, and changing to ASSIGNED instead of leaving
NEW, since according to the "fedora-review" flag, the formal review has started.

Comment 3 Kyle VanderBeek 2008-05-12 18:42:33 UTC
Created attachment 305156 [details]
Patch to reduce rpmlint warnings, add URL.

I think this review is out of date and could be closed.  It appears to be Re:
rsync 2.6.9, which is out of date (F9 has 3.0.2).

I've attached a patch that could still go in to fix some rpmlint warnings and
implement other suggestions in this review.

Comment 4 Robert Scheck 2008-12-28 21:51:10 UTC
Looks like Simo Sorce <ssorce@redhat.com> is the current rsync maintainer; 
adding hereby to Cc.

Comment 5 Robert Scheck 2008-12-28 21:52:41 UTC
Created attachment 327903 [details]
Patch for rsync.spec to make rpmlint silent

Simo, can you please apply this patch to rsync? It will solve the
most review issues so that we maybe can finish this soon. One
rpmlint "issue" seems to be left, that can be ignored, %config()
is not worse in %changelog, it is not expanded anyway.

Comment 6 Robert Scheck 2008-12-28 21:57:37 UTC
As Ed made no review noise for nearly two years, I'm now and hereby silently
overtaking the review. I think, the patch #327903 should bring us to the way
of succeeding the review hopefully very soon. Simo, please take action...

Comment 7 Simo Sorce 2009-01-01 18:12:49 UTC
Will do

Comment 8 Simo Sorce 2009-01-01 19:35:32 UTC
New f-10 and rawhide packages including this spec file patch have been built in koji today.

Comment 9 Robert Scheck 2009-01-11 20:59:52 UTC
Thank you, Simo.

Dumb question from my side: Is there a special reason for following
release tag usage:

  rsync-3.0.5-1.fc10
  rsync-3.0.5-0.fc11

Why don't have both the same release? Was there some special reason?

Comment 10 Simo Sorce 2009-01-12 14:10:14 UTC
No special reason, I did a mistake in rsync-3.0.5-0.fc10 so I had to bump up to re-tag and build :/

Comment 11 Robert Scheck 2009-01-12 21:10:26 UTC
Package looks from a packagers view good to me, so: APPROVED.

Comment 12 Jason Tibbitts 2009-01-12 21:51:29 UTC
I just wanted to point out that that release bump should have been to
  rsync-3.0.5-0.fc10.1
instead of 
  rsync-3.0.5-1.fc10

That way we don't actively screw anyone who wants to update to rawhide.

Comment 13 Robert Scheck 2009-01-12 21:53:12 UTC
Bumping Rawhide to -1.fc11 also solves it - as alternative. Personally,
I don't like the -X.fc10.Y style.

Comment 14 Jason Tibbitts 2009-01-12 22:04:57 UTC
You don't really have to like it, I suppose, but if you need to bump a non-rawhide branch and don't want to bump any later branches then you have no choice; it's the only versioning scheme that permits that.  
http://fedoraproject.org/wiki/Packaging/NamingGuidelines#Minor_release_bumps_for_old_branches


Note You need to log in before you can comment on or make changes to this bug.